# PCCOMPOSITE

Build a preconditioner by composing together several preconditioners

### Options Database Keys

| -pc_composite_type <type: one of multiplicative, additive, special> | - Sets composite preconditioner type
| -pc_composite_true | - Activates PCCompositeSetUseTrue()
| -pc_composite_pcs | - <pc0,pc1,...> list of PCs to compose

Notes: To use a Krylov method inside the composite preconditioner, set the PCType of one or more inner PCs to be PCKSP. Using a Krylov method inside another Krylov method can be dangerous (you get divergence or the incorrect answer) unless you use KSPFGMRES as the outter Krylov method

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCSHELL, PCKSP, PCCompositeSetType(), PCCompositeSpecialSetAlpha(), PCCompositeAddPC(), PCCompositeGetPC(), PCCompositeSetUseTrue()

Level:intermediate
Location: src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages